﻿@media screen and (orientation:landscape) {
    .carousel img {
        max-height: 100vh;
    }
}

body {
}

@keyframes spinIt {
    0% {
        
    }
    50% {
        font-size: 2.55em;
    }
    100% {
        transform: rotate(360deg);
    }
}

.spinner {
    animation-name: spinIt;
    animation-duration: 5s;
}

@keyframes popIt {
    0% {
        opacity: 0;        
    }    
    50% {
        opacity: .5;
        font-size: 2em;
        transition-timing-function: ease-in
    }
    100% {
        opacity: 1;
        transition-timing-function: ease-in
    }
}

@keyframes popIt2 {
    0% {
        opacity: 0;
    }

    50% {
        
        font-size: x-large;        
    }

    100% {
        transition-delay: 2s;
        opacity: 1;
        transition-timing-function: ease-in
    }
}

.popper {
    animation-name: popIt;
    animation-fill-mode: forwards;
    animation-duration: 3s;
    
}

.popperDelay {    
    animation-name: popIt2;    
    animation-duration: 4s;
}

@keyframes imagePopper {
    0% {
        opacity: 0;
        scale: 0;
    }    
    100% {
        opacity: 1;
        transition-timing-function: ease-in;
    }
}

.imgPop {
    animation-name: imagePopper;
    animation-duration: 3s;
    animation-timing-function: ease-in;
}

@keyframes slideInFromLeft {
    0% {
        min-width: 325px;
        width: 25%;
    }

    100% {
        width: 100%;
    }
}

    a {
        text-decoration: none;
        color: #9d9d9d;
    }

    a:hover {
        text-decoration: none;
        color: whitesmoke;
    }

    a.blueLink {
        text-decoration: none;
        color: #0094ff;
    }

    a.blueLink:visited {
        text-decoration: none;
        color: #0094ff;
    }

    a.whiteLink {
        color: white;
    }

        a.whiteLink:hover {
            color: white;
        }

        a.whiteLink:visited {
            color: white;
        }

    a.appBrand {
        color: #6EA5C4;
    }

        a.appBrand:hover {
            color: #6EA5C4;
        }

        a.appBrand:visited {
            color: #6EA5C4;
        }
a.menuLink {
    color: white;
}

    a.menuLink:visited {
        color: white;
    }

    a.menuLink:hover {
        color: red;
    }

.companylogo {
    color: #ffffff;
    border-bottom: 2px solid red;
    font-size: 1.55em;
    margin: 8px 14px 0 8px;
    float: left;
}

.companylogoext {
    position: relative;
    top: 14px;
    color: #ffffff;
}



.slideHeader {
    
    background-color: rgb(250 250 250 / .50);
    border-radius: 4px 4px;
    /*transition: width 2s, height 4s, background-color 3s;*/
    animation-name: slideInFromLeft;    
    animation-delay: 100ms;
    animation-fill-mode: forwards;
    animation-duration: 4s;
}

    .slideHeader:hover {
        width: 100%;
    }

.slideCaption {
    background-color: rgb(0 0 0 / .60);
    border-radius: 4px 4px;
    text-shadow: 2px 2px 5px red;
    transition-property: opacity;
    transition-duration: 2s;
    transition-timing-function: ease-in-out;
}

.carouselInfoButton {
    /*background-color: rgb(199 194 93 / .60);*/
    background-color: rgb(207 207 202 / .60);
    color: black;
}

@starting-style {
    .slideCaption {
        opacity: 0;
    }
}

.appTitleBrandCarousel {
    color: black;
    font-family: 'Arial Rounded MT', Arial, Helvetica, sans-serif;
    font-size: 30px;
    font-weight: 700;
    text-shadow: 1px 1px 1px red;
    font-style: oblique;
}
/*Sidebar*/
.appTitleBrand {
    /*background-color: #000;*/
    color: #7d7c7a;
    font-family: 'Arial Rounded MT', Arial, Helvetica, sans-serif;
    font-size: medium;
    font-weight: 700;
}

.carouselCopyright {
    background-color: rgb(0 0 0 /.5);
    color: white;
    z-index: 99999;
    position: absolute;
    bottom: 10%;
    right: 5%;
    align-content: center;
    border-radius: 4px 4px;
}

.headerCarouselDiv {
    height: 15px;
    top: 45px;
    z-index: 9999;
}

/*
    Bootstrap overrides
*/
.input-group-addon {
    border: none;
    background-color: transparent;
}

.btn-primary {
    background-color: #CE1126 !important;
    border-color: #CE1126 !important;
}

.navbar-brand {
    /*background-color: #000;*/
    color: #6EA5C4 !important;
    font-family: Verdana, Arial, 'Times New Roman';
    font-weight: bold;
    font-style: italic;
    vertical-align: middle;
}

.navbar {
    background-color: rgb(0 0 0 / .60) !important;
    background: linear-gradient(to right gray black) !important;
}

/*.bg-dark {
    background-color: #000 !important;    
}*/

.navbar-inverse {
    border-color: #000 !important;
    background-color: #000 !important;
    color: #9d9d9d !important;
}
